Bareos Bug Tracker
Bareos Bug Tracker

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000181bareos-core[All Projects] directorpublic2013-05-21 13:082015-03-25 19:19
Reporterpstorz 
Assigned To 
PrioritynormalSeverityfeatureReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformLinuxOSanyOS Version3
Product Version12.4.3 
Target Version13.3.0Fixed in Version14.2.2 
Summary0000181: Add command for doing a name resolution on client.
DescriptionIt would be good if the name resolution on a client could be tested from bconsole.

There is often the problem that a client cannot resolve the name of the storage daemon. This can only be found out if a real backup is performed.
TagsNo tags attached.
bareos-master: impact
bareos-master: action
bareos-18.2: impact
bareos-18.2: action
bareos-17.2: impact
bareos-17.2: action
bareos-16.2: impact
bareos-16.2: action
bareos-15.2: impact
bareos-15.2: action
bareos-14.2: impact
bareos-14.2: action
bareos-13.2: impact
bareos-13.2: action
bareos-12.4: impact
bareos-12.4: action
Attached Files

- Relationships

-  Notes
(0000475)
maik (administrator)
2013-06-21 17:11

maybe include the sd name resolution test in 'status client'
(0000570)
mvwieringen adm (administrator)
2013-08-13 03:12

Fix committed to bareos master branch with changesetid 584.
(0001092)
joergs (administrator)
2014-12-03 09:17

documented.
However I noticed, that while "help resolve" shows some text, the "help" command do not list the "resolve" command at all.
(0001098)
joergs (administrator)
2014-12-04 14:46

"resolve" is show on "help", but not in alphabetical order.
(0001490)
mvwieringen (developer)
2015-03-25 16:51

Fix committed to bareos2015 bareos-14.2 branch with changesetid 5072.
(0001640)
joergs (administrator)
2015-03-25 19:19

Due to the reimport of the Github repository to bugs.bareos.org, the status of some tickets have been changed. These tickets will be closed again.
Sorry for the noise.

- Related Changesets
bareos: master 6a4e8f7d
Timestamp: 2013-08-07 09:18:35
Author: pstorz
Committer: mvwieringen adm
Ported: N/A
Details ] Diff ]
Add command for doing a name resolution on client.

Resolve command now can resolve given hostname(s) on director, client
and storage daemon if specified.

examples:

* resolution on director:
resolve www.bareos.com
> gonzo-dir resolves www.bareos.com to host[ipv4:84.44.166.242]

* resolution on client:
resolve client=gonzo.bareos.com-fd www.bareos.com
> gonzo-fd resolves www.bareos.com to host[ipv4:84.44.166.242]

* resolution on storage:
resolve storage=File www.bareos.com
> gonzo-sd resolves www.bareos.com to host[ipv4:84.44.166.242]

Fixes 0000181: Add command for doing a name resolution on client.

Signed-off-by: Marco van Wieringen <marco.van.wieringen@bareos.com>
mod - src/tools/bpluginfo.c Diff ] File ]
mod - src/stored/protos.h Diff ] File ]
mod - src/stored/label.c Diff ] File ]
mod - src/stored/dir_cmd.c Diff ] File ]
mod - src/stored/bscan.c Diff ] File ]
mod - src/stored/bcopy.c Diff ] File ]
mod - src/qt-tray-monitor/monitoritem.cpp Diff ] File ]
mod - src/qt-console/bcomm/dircomm.cpp Diff ] File ]
mod - src/lib/protos.h Diff ] File ]
mod - src/lib/bsock.h Diff ] File ]
mod - src/lib/bsock.c Diff ] File ]
mod - src/lib/bnet.c Diff ] File ]
mod - src/lib/address_conf.h Diff ] File ]
mod - src/lib/address_conf.c Diff ] File ]
mod - src/filed/dir_cmd.c Diff ] File ]
mod - src/dird/verify.c Diff ] File ]
mod - src/dird/vbackup.c Diff ] File ]
mod - src/dird/ua_update.c Diff ] File ]
mod - src/dird/ua_restore.c Diff ] File ]
mod - src/dird/ua_query.c Diff ] File ]
mod - src/dird/ua_dotcmds.c Diff ] File ]
mod - src/dird/ua_cmds.c Diff ] File ]
mod - src/dird/sd_cmds.c Diff ] File ]
mod - src/dird/restore.c Diff ] File ]
mod - src/dird/protos.h Diff ] File ]
mod - src/dird/ndmp_dma.c Diff ] File ]
mod - src/dird/msgchan.c Diff ] File ]
mod - src/dird/migrate.c Diff ] File ]
mod - src/dird/fd_cmds.c Diff ] File ]
mod - src/dird/backup.c Diff ] File ]
mod - src/console/console.c Diff ] File ]
mod - src/cats/sql_list.c Diff ] File ]
mod - src/cats/protos.h Diff ] File ]
bareos2015: bareos-14.2 3565d3de
Timestamp: 2013-08-07 11:18:35
Author: pstorz
Committer: mvwieringen
Ported: N/A
Details ] Diff ]
Add command for doing a name resolution on client.

Resolve command now can resolve given hostname(s) on director, client
and storage daemon if specified.

examples:

* resolution on director:
resolve www.bareos.com
> gonzo-dir resolves www.bareos.com to host[ipv4:84.44.166.242]

* resolution on client:
resolve client=gonzo.bareos.com-fd www.bareos.com
> gonzo-fd resolves www.bareos.com to host[ipv4:84.44.166.242]

* resolution on storage:
resolve storage=File www.bareos.com
> gonzo-sd resolves www.bareos.com to host[ipv4:84.44.166.242]

Fixes 0000181: Add command for doing a name resolution on client.

Signed-off-by: Marco van Wieringen <marco.van.wieringen@bareos.com>
mod - src/cats/protos.h Diff ] File ]
mod - src/cats/sql_list.c Diff ] File ]
mod - src/console/console.c Diff ] File ]
mod - src/dird/backup.c Diff ] File ]
mod - src/dird/fd_cmds.c Diff ] File ]
mod - src/dird/migrate.c Diff ] File ]
mod - src/dird/msgchan.c Diff ] File ]
mod - src/dird/ndmp_dma.c Diff ] File ]
mod - src/dird/protos.h Diff ] File ]
mod - src/dird/restore.c Diff ] File ]
mod - src/dird/sd_cmds.c Diff ] File ]
mod - src/dird/ua_cmds.c Diff ] File ]
mod - src/dird/ua_dotcmds.c Diff ] File ]
mod - src/dird/ua_query.c Diff ] File ]
mod - src/dird/ua_restore.c Diff ] File ]
mod - src/dird/ua_update.c Diff ] File ]
mod - src/dird/vbackup.c Diff ] File ]
mod - src/dird/verify.c Diff ] File ]
mod - src/filed/dir_cmd.c Diff ] File ]
mod - src/lib/address_conf.c Diff ] File ]
mod - src/lib/address_conf.h Diff ] File ]
mod - src/lib/bnet.c Diff ] File ]
mod - src/lib/bsock.c Diff ] File ]
mod - src/lib/bsock.h Diff ] File ]
mod - src/lib/protos.h Diff ] File ]
mod - src/qt-console/bcomm/dircomm.cpp Diff ] File ]
mod - src/qt-tray-monitor/monitoritem.cpp Diff ] File ]
mod - src/stored/bcopy.c Diff ] File ]
mod - src/stored/bscan.c Diff ] File ]
mod - src/stored/dir_cmd.c Diff ] File ]
mod - src/stored/label.c Diff ] File ]
mod - src/stored/protos.h Diff ] File ]
mod - src/tools/bpluginfo.c Diff ] File ]
bareos: master 9856b872
Timestamp: 2014-12-04 13:48:20
Author: joergs
Ported: N/A
Details ] Diff ]
tweak console help message

Issues 0000181: Add command for doing a name resolution on client
mod - src/dird/ua_cmds.c Diff ] File ]
bareos: bareos-14.2 71234835
Timestamp: 2014-12-04 13:48:20
Author: joergs
Committer: mvwieringen
Ported: N/A
Details ] Diff ]
tweak console help message

Issues 0000181: Add command for doing a name resolution on client
mod - src/dird/ua_cmds.c Diff ] File ]
bareos2015: bareos-14.2 e8af228c
Timestamp: 2014-12-04 14:48:20
Author: joergs
Committer: mvwieringen
Ported: N/A
Details ] Diff ]
tweak console help message

Issues 0000181: Add command for doing a name resolution on client
mod - src/dird/ua_cmds.c Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-05-21 13:08 pstorz New Issue
2013-06-21 17:11 maik Note Added: 0000475
2013-06-21 17:18 joergs Status new => acknowledged
2013-08-07 11:25 mvwieringen Changeset attached => bareos master f4169ab2
2013-08-07 11:25 mvwieringen Note Added: 0000566
2013-08-07 11:25 mvwieringen Assigned To => mvwieringen
2013-08-07 11:25 mvwieringen Status acknowledged => resolved
2013-08-07 11:25 mvwieringen Resolution open => fixed
2013-08-09 16:45 mvwieringen adm Fixed in Version => 13.3.0
2013-08-09 16:45 mvwieringen adm Target Version 13.4.0 => 13.3.0
2013-08-13 03:12 mvwieringen adm Changeset attached => bareos master 6a4e8f7d
2013-08-13 03:12 mvwieringen adm Note Added: 0000570
2013-08-13 09:50 mvwieringen adm Note Deleted: 0000566
2014-12-01 12:10 joergs Assigned To mvwieringen => joergs
2014-12-01 12:10 joergs Status resolved => assigned
2014-12-03 09:17 joergs Note Added: 0001092
2014-12-04 14:46 joergs Note Added: 0001098
2014-12-05 22:38 joergs Changeset attached => bareos master 9856b872
2014-12-12 02:02 mvwieringen Changeset attached => bareos bareos-14.2 71234835
2015-01-12 10:17 joergs Status assigned => resolved
2015-01-12 10:17 joergs Fixed in Version 13.3.0 => 14.2.2
2015-01-12 10:17 joergs Status resolved => closed
2015-01-26 16:17 mvwieringen adm Assigned To joergs =>
2015-03-25 16:51 mvwieringen Changeset attached => bareos2015 bareos-14.2 e8af228c
2015-03-25 16:51 mvwieringen Changeset attached => bareos2015 bareos-14.2 3565d3de
2015-03-25 16:51 mvwieringen Note Added: 0001490
2015-03-25 16:51 mvwieringen Status closed => resolved
2015-03-25 19:19 joergs Note Added: 0001640
2015-03-25 19:19 joergs Status resolved => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker